%define opt /opt

Summary: PDF editor
Name: master-pdf-editor3
Version:  3.7.10
Release: %mkrel 2
License: Proprietary
Group: Publishing
URL: http://code-industry.net/free-pdf-editor.php
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: master-pdf-editor
Provides: master-pdf-editor = %version-%release
Requires: %{_lib}qt5printsupport5

%description
Master PDF Editor provides you advanced functions for working with PDF format:
• Create new PDF or edit existing ones.
• Add and/or edit bookmarks in PDF files.
• Fast and simple PDF forms fill out
• Changing font attributes (size, family, color etc)
• Encrypt and/or protect PDF files using 128 bit encryption.
• Convert XPS files into PDF.
• JavaScript support
• Validation Forms and Calculate Values
• Add PDF controls (like buttons, checkboxes, lists, etc.) into your PDFs.
• Import/export PDF pages into common graphical formats including BMP, JPG, PNG, and TIFF.
• Signing PDF documents with digital signature, signatures creation and validation.
• Free PDF Editor on Linux ( for non-commercial use)

The Linux-based version is free for non-commercial use. 

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir -p %buildroot

%ifarch %ix86
%define my_package master-pdf-editor-%{version}_i386.tar.gz
%else
%define my_package master-pdf-editor-%{version}_qt5.amd64.tar.gz
%endif

#download source
cd $RPM_SOURCE_DIR
wget -nc "http://get.code-industry.net/public/%{my_package}" 
cd ..

# extract data
mkdir -p %buildroot/opt
tar -zxvf $RPM_SOURCE_DIR/%{my_package}  -C %buildroot/opt

mkdir -p %buildroot/%{_datadir}/applications
mv %buildroot/%opt/master-pdf-editor-3/masterpdfeditor3.desktop \
%buildroot/%{_datadir}/applications/masterpdfeditor3.desktop

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/masterpdfeditor3.desktop

  
%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%opt/master-pdf-editor-3
%{_datadir}/applications/masterpdfeditor3.desktop

#recreate this as the update over master-pdf-editor removes it
%posttrans
ln -fs %opt/master-pdf-editor-3/masterpdfeditor3 %{_bindir}/master-pdf-editor


%changelog
* Fri Dec 23 2016 adrianomorselli <adrianomorselli> 3.7.10-2uplos2016
- rebuild

* Wed Aug 31 2016 bb <bb> 3.7.10-2pclos2016
- add explicit dependecy per Not_yet_16

* Sun May 22 2016 bb <bb> 3.7.10-1pclos2016
- update

* Thu Apr 07 2016 bb <bb> 3.6.30-1pclos2016
- update

* Wed Mar 23 2016 bb <bb> 3.6.17-1pclos2016
- update for 64bit

* Tue Feb 02 2016 bb <bb> 3.6.00-1pclos2016
- update for 64bit

* Fri Jan 08 2016 bb <bb> 3.5.81-2pclos2015
- switch to qt5 version for 64bit

